<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: Queue&lt; E &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classQueue.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Queue&lt; E &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acfdd5f9f7e936ca30dcf877370ef9510"><td class="memItemLeft" align="right" valign="top"><a id="acfdd5f9f7e936ca30dcf877370ef9510"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Clear</b> ()</td></tr>
<tr class="separator:acfdd5f9f7e936ca30dcf877370ef9510"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc4d78b5f66041011c5590bf703847b0"><td class="memItemLeft" align="right" valign="top"><a id="abc4d78b5f66041011c5590bf703847b0"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>Size</b> () const</td></tr>
<tr class="separator:abc4d78b5f66041011c5590bf703847b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71aa0154ef75bb87a53b6af1829fcd5e"><td class="memItemLeft" align="right" valign="top"><a id="a71aa0154ef75bb87a53b6af1829fcd5e"></a>
<a class="el" href="classQueueNode.html">QueueNode</a>&lt; E &gt; *&#160;</td><td class="memItemRight" valign="bottom"><b>Head</b> ()</td></tr>
<tr class="separator:a71aa0154ef75bb87a53b6af1829fcd5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c906075e0ad2d1f0634990aa106395e"><td class="memItemLeft" align="right" valign="top"><a id="a6c906075e0ad2d1f0634990aa106395e"></a>
const <a class="el" href="classQueueNode.html">QueueNode</a>&lt; E &gt; *&#160;</td><td class="memItemRight" valign="bottom"><b>Head</b> () const</td></tr>
<tr class="separator:a6c906075e0ad2d1f0634990aa106395e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a430aca3d3b9f5fd588b215028d134b74"><td class="memItemLeft" align="right" valign="top"><a id="a430aca3d3b9f5fd588b215028d134b74"></a>
<a class="el" href="classQueueNode.html">QueueNode</a>&lt; E &gt; *&#160;</td><td class="memItemRight" valign="bottom"><b>Last</b> ()</td></tr>
<tr class="separator:a430aca3d3b9f5fd588b215028d134b74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c8c2c64700dfe1df8bf266572cf101a"><td class="memItemLeft" align="right" valign="top"><a id="a7c8c2c64700dfe1df8bf266572cf101a"></a>
const <a class="el" href="classQueueNode.html">QueueNode</a>&lt; E &gt; *&#160;</td><td class="memItemRight" valign="bottom"><b>Last</b> () const</td></tr>
<tr class="separator:a7c8c2c64700dfe1df8bf266572cf101a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaa2e7175457307bca74f5562cbdaaa9"><td class="memItemLeft" align="right" valign="top"><a id="abaa2e7175457307bca74f5562cbdaaa9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Enqueue</b> (const E &amp;element)</td></tr>
<tr class="separator:abaa2e7175457307bca74f5562cbdaaa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a434d465001c3078e999f7a89a8af84c0"><td class="memItemLeft" align="right" valign="top"><a id="a434d465001c3078e999f7a89a8af84c0"></a>
E *&#160;</td><td class="memItemRight" valign="bottom"><b>Dequeue</b> ()</td></tr>
<tr class="separator:a434d465001c3078e999f7a89a8af84c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a904a696292fc593adc6fd21fb229d760"><td class="memTemplParams" colspan="2"><a id="a904a696292fc593adc6fd21fb229d760"></a>
template&lt;typename F &gt; </td></tr>
<tr class="memitem:a904a696292fc593adc6fd21fb229d760"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classQueue.html">Queue</a> *&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Map</b> (F function) const</td></tr>
<tr class="separator:a904a696292fc593adc6fd21fb229d760"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="sample3-inl_8h_source.html">sample3-inl.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classQueue.html">Queue</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
